textures/krazy/nightsky100
{
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 100

	qer_editorimage textures/skies/xnight2_up.tga

	skyparms env/xnight2 - -
}

textures/krazy/nightsky275
{
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 275
	q3map_sun 1 1 1 100 -41 58

	qer_editorimage textures/skies/xnight2_up.tga

	skyparms env/xnight2 - -
}


textures/krazy/halllight_b
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 750
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen wave sin 0.5 0.5 1 1
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/krazy/halllight
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 900
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/krazy/floorborderlight
{
	qer_editorimage textures/gothic_light/border7_ceil39.tga
	q3map_surfacelight 1900
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/border7_ceil39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/border_ceil39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/krazy/tele_neut
{
	qer_editorimage textures/loki_ctf/telefx2.tga
   	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
   
       {
               map textures/loki_ctf/telefx.tga
               blendfunc GL_ONE GL_ONE
	       tcMod scale 4. 2.	
               tcMod scroll 1.15 .25
               //rgbGen wave sin .5 .8 .5 .5
       }
       {
               map textures/loki_ctf/telefx2.tga
               blendfunc GL_ONE GL_ONE
	       tcMod scale 4. 2.	
               tcMod scroll .75 -.15
               //rgbGen wave sin .5 .8 .5 .5
       }
	
}

textures/krazy/beam_red
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	{
		map textures/krazy/beam_red.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/krazy/beam_blue
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	{
		map textures/krazy/beam_blue.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/krazy/ladder
{
	qer_editorimage textures/krazy/ladderedit.tga
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm ladder
	surfaceparm nodraw
}

textures/ladder/ladder
{
	qer_editorimage textures/ladder/ladderedit.tga
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm ladder
	surfaceparm nodraw
}

textures/krazy/transbasedisp
{
	qer_editorimage textures/krazy/basedisplay.jpg
        surfaceparm trans
	q3map_surfacelight 300
	qer_trans 0.5
     
        {
		map textures/krazy/basedisplay.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/krazy/mid_ceil_lights
{
	qer_editorimage textures/gothic_light/border7_ceil39.tga
	q3map_surfacelight 2750
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/border7_ceil39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/border_ceil39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/krazy/neut_telep
{ 
        cull disable
        surfaceparm nomarks
        surfaceparm trans
        sort additive
        {
	        clampmap textures/krazy/neut_telep.tga
		blendFunc add
                //depthWrite
                //tcMod stretch sin .9 0.1 0 .5
                tcmod rotate 327
                rgbGen identity
	}
        {
	        clampmap textures/krazy/neut_telep2.tga
		blendFunc add
                //depthWrite
                //tcMod stretch sin .9 0.1 0 .1
                tcmod rotate -211
                rgbGen identity
        }
        {
	        clampmap textures/ctf/telep.tga
		alphaFunc GE128
                depthWrite
                tcmod rotate 20
	        rgbGen identity
	}
        {
	        clampmap textures/ctf/telep.tga
		alphaFunc GE128
                depthWrite
                tcMod stretch sin .7 0 0 0
                tcmod rotate -20
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/liquids/wfalls
{
	qer_editorimage textures/liquids/pool3d_3b.tga
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .6
	cull none
	{
	map textures/liquids/lm16wfall.tga
	tcMod Scroll .2 -1
	tcMod turb .25 .25 0 -.25
	blendFunc GL_ONE GL_ONE
	rgbgen identity
	}
	{
	map textures/liquids/lm16wfall.tga
	tcMod Scroll -.05 -1.2
	blendFunc GL_ONE GL_ONE
	}
}

textures/slinki/invisowater 
{ 
   qer_trans 0.50 
        qer_editorimage textures/common/white.tga 
        surfaceparm nodraw 
   surfaceparm nolightmap 
   surfaceparm nonsolid 
   surfaceparm trans 
   surfaceparm nomarks 
        surfaceparm water 
}
